Bug 3363 - wiki.maemo.org search does not find anything with short search terms
: wiki.maemo.org search does not find anything with short search terms
Status: RESOLVED FIXED
Product: maemo.org Website
Wiki
: unspecified
: All Linux
: Medium normal with 4 votes (vote)
: ---
Assigned To: Ferenc Szekely
: midgard@maemo.org
:
:
:
:
  Show dependency tree
 
Reported: 2008-07-01 16:26 UTC by Juha Kallioinen
Modified: 2010-07-08 12:12 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Juha Kallioinen (reporter) nokia 2008-07-01 16:26:02 UTC
SOFTWARE VERSION:
-

STEPS TO REPRODUCE THE PROBLEM:

1) Go to wiki.maemo.org
2) search for NFS

EXPECTED OUTCOME:

I was expecting to find this page:
http://wiki.maemo.org/Setting_up_NFS

ACTUAL OUTCOME:

No hits

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
-

OTHER COMMENTS:

I don't know how the search has been configured, but I'm sure many others will
do searches for three-letter abbreviations about maemo related things. So it
would be nice to get some hits with those too.
Comment 1 Dave Neary maemo.org 2008-07-05 15:19:42 UTC
Henri, would you mind having a look at this please (or forwarding it on to the
best person for wiki related issues like this)?

Dave.
Comment 2 Juha Kallioinen (reporter) nokia 2008-07-07 11:18:50 UTC
Hi, note that this is about wiki.maemo.org (mediawiki) and not about the
midgard wiki.
Comment 3 Niels Breet maemo.org 2008-07-11 10:20:23 UTC
This is clearly a task for Ferenc. (Dave, you should have known that ;)
Comment 4 David Greaves 2008-07-18 23:31:50 UTC
Hmm, a development wiki where a search for gdb or ddd finds no matches....
I was going to report this but I'll just join the cc to see if it increases the
priority.
Comment 5 Quim Gil nokia 2008-07-19 16:46:26 UTC
Set to MEDIUM, proposed to next sprint.
Comment 6 Ferenc Szekely maemo.org 2008-07-22 23:59:46 UTC
wiki must be configured to use the google box for search. the google box needs
a config revision. taking this to sprint 3.
Comment 7 Quim Gil nokia 2008-07-23 09:27:53 UTC
(In reply to comment #6)
> wiki must be configured to use the google box for search. the google box needs
> a config revision.

Are you sure? The MediaWiki search does something right, which is to show
searches on page titles or in text. Wiki users are used to this, is efficient.
Before substituting that feature it would be good to check that the Gioogle
search does the work better.

This bug itself can be probably fixed just by setting the minimum woWikipedia
can find 3 letter words e.g. http://en.wikipedia.org/wiki/Ccs
Comment 8 Ferenc Szekely maemo.org 2008-08-30 11:34:13 UTC
I tried to configure mediawiki and mysql to allow searching words with a
minimum size of 3 letters, but the changes don't seem to have an effect. Will
continue the investigation..
Comment 9 Quim Gil nokia 2008-11-04 23:59:11 UTC
Demoted to Medium as agreed on the
http://wiki.maemo.org/Maemo.org_Sprints/November_08 meeting.
Comment 10 Juha Kallioinen (reporter) nokia 2008-11-05 11:22:25 UTC
(In reply to comment #8)
> I tried to configure mediawiki and mysql to allow searching words with a
> minimum size of 3 letters, but the changes don't seem to have an effect. Will
> continue the investigation..
> 

A search for 'usb' returns hits, but a search for 'nfs' returns none..
Comment 11 Quim Gil nokia 2008-11-05 11:44:34 UTC
To be more precise, "usb" gives the "USB" page but there is no "NFS" page so no
results are offered.

"usb" + Search botton provides just the same result

In practice...

Different result:
http://wiki.maemo.org/Special:Search?search=usb&go=Go
http://wiki.maemo.org/Special:Search?search=nfs&go=Go

Same result:
http://wiki.maemo.org/Special:Search?search=usb&fulltext=Search
http://wiki.maemo.org/Special:Search?search=nfs&fulltext=Search
Comment 12 Juha Kallioinen (reporter) nokia 2008-11-05 11:46:26 UTC
(In reply to comment #11)
> To be more precise, "usb" gives the "USB" page but there is no "NFS" page so no
> results are offered.

Good point.
Comment 13 Niels Breet maemo.org 2009-01-05 17:49:21 UTC
This article states describes the problem and solution:
http://kb.ucla.edu/articles/configuring-mediawiki-to-search-for-three-letter-words

Ferenc: Can you try this?
Comment 14 Dave Neary maemo.org 2009-12-23 20:32:01 UTC
This article does the same:
http://xoa.petdance.com/How_to:_Allow_searching_for_short_words_in_MediaWiki

The instructions are easy - you add the line

  $wgDBminWordLen = 3

to LocalSettings.php, and to index 3 letter words in MySQL, add 

  [mysqld]
  ft_min_word_len=3

to my.conf for mysql. The restart mysql and run "REPAIR TABLE searchindex;" to
recreate the search index.
Comment 15 Ferenc Szekely maemo.org 2010-07-08 12:12:22 UTC
Changed the mysql DB settings, restarted MySQL and repaired the mw_searchindex
table of the mediawiki database. Searching for NFS now lists results.